* [gentoo-commits] proj/gnome:master commit in: media-sound/gnome-music/
@ 2018-04-29 12:48 99% Sobhan Mohammadpour
0 siblings, 0 replies; 1+ results
From: Sobhan Mohammadpour @ 2018-04-29 12:48 UTC (permalink / raw
To: gentoo-commits
commit: b92ef10efd86ee85811ba27d1322d16eaec143f1
Author: Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 29 12:48:09 2018 +0000
Commit: Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
CommitDate: Sun Apr 29 12:48:09 2018 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=b92ef10e
media-sound/gnome-music: bump
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Manifest-Sign-Key: 0x7DF238CF0AA182E1
media-sound/gnome-music/gnome-music-3.26.2.ebuild | 63 +++++++++++++++++++++++
media-sound/gnome-music/metadata.xml | 8 +++
2 files changed, 71 insertions(+)
diff --git a/media-sound/gnome-music/gnome-music-3.26.2.ebuild b/media-sound/gnome-music/gnome-music-3.26.2.ebuild
new file mode 100644
index 00000000..683565a3
--- /dev/null
+++ b/media-sound/gnome-music/gnome-music-3.26.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_4,3_5} )
+
+inherit gnome2 python-single-r1
+
+DESCRIPTION="Music management for Gnome"
+HOMEPAGE="https://wiki.gnome.org/Apps/Music"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ >=app-misc/tracker-1.99.1[introspection(+)]
+ >=dev-python/pygobject-3.21.1:3[cairo,${PYTHON_USEDEP}]
+ >=dev-libs/glib-2.28:2
+ >=dev-libs/gobject-introspection-1.35.9:=
+ >=media-libs/grilo-0.3.4:0.3[introspection]
+ >=media-libs/libmediaart-1.9.1:2.0[introspection]
+ >=x11-libs/gtk+-3.19.3:3[introspection]
+"
+# xdg-user-dirs-update needs to be there to create needed dirs
+# https://bugzilla.gnome.org/show_bug.cgi?id=731613
+RDEPEND="${COMMON_DEPEND}
+ || (
+ app-misc/tracker[gstreamer]
+ app-misc/tracker[ffmpeg]
+ )
+ x11-libs/libnotify[introspection]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ media-libs/gstreamer:1.0[introspection]
+ media-libs/gst-plugins-base:1.0[introspection]
+ media-plugins/gst-plugins-meta:1.0
+ media-plugins/grilo-plugins:0.3[tracker]
+ x11-misc/xdg-user-dirs
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/yelp-tools
+ >=dev-util/intltool-0.26
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ python_setup
+}
+
+src_prepare() {
+ sed -e '/sys.path.insert/d' -i "${S}"/gnome-music.in || die "python fixup sed failed"
+ gnome2_src_prepare
+}
+
+src_install() {
+ gnome2_src_install
+ python_fix_shebang "${D}"usr/bin/gnome-music
+}
diff --git a/media-sound/gnome-music/metadata.xml b/media-sound/gnome-music/metadata.xml
new file mode 100644
index 00000000..39980802
--- /dev/null
+++ b/media-sound/gnome-music/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+</maintainer>
+</pkgmetadata>
^ permalink raw reply related [relevance 99%]
Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2018-04-29 12:48 99% [gentoo-commits] proj/gnome:master commit in: media-sound/gnome-music/ Sobhan Mohammadpour
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox